From: Debian Ruby Extras Maintainers
 <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Date: Sun, 7 Apr 2019 17:09:59 +0900
Subject: disable-test

---
 spec/multi_process_server_spec.rb | 49 ---------------------------------------
 1 file changed, 49 deletions(-)

diff --git a/spec/multi_process_server_spec.rb b/spec/multi_process_server_spec.rb
index 4c5528e..2c26a58 100644
--- a/spec/multi_process_server_spec.rb
+++ b/spec/multi_process_server_spec.rb
@@ -60,54 +60,5 @@
       test_state(:worker_stop).should == 3
     end
 
-    it 'raises SystemExit when all workers exit with specified code by unrecoverable_exit_codes' do
-      pending "unrecoverable_exit_codes supported only for multi process workers" if impl_class == ServerEngine::MultiThreadServer
-      pending "Windows environment does not support fork" if ServerEngine.windows? && impl_class == ServerEngine::MultiProcessServer
-
-      config = {workers: 4, log_stdout: false, log_stderr: false, unrecoverable_exit_codes: [3, 4, 5]}
-
-      s = impl_class.new(TestExitWorker) { config.dup }
-      raised_error = nil
-      t = Thread.new do
-        begin
-          s.main
-        rescue SystemExit => e
-          raised_error = e
-        end
-      end
-
-      wait_for_fork
-      test_state(:worker_run).should == 4
-      t.join
-
-      test_state(:worker_stop).to_i.should == 0
-      raised_error.status.should == 3 # 4th process's exit status
-    end
-
-    it 'raises SystemExit immediately when a worker exits if stop_immediately_at_unrecoverable_exit specified' do
-      pending "unrecoverable_exit_codes supported only for multi process workers" if impl_class == ServerEngine::MultiThreadServer
-      pending "Windows environment does not support fork" if ServerEngine.windows? && impl_class == ServerEngine::MultiProcessServer
-
-      config = {workers: 4, log_stdout: false, log_stderr: false, unrecoverable_exit_codes: [3, 4, 5], stop_immediately_at_unrecoverable_exit: true}
-
-      s = impl_class.new(TestExitWorker) { config.dup }
-      raised_error = nil
-      t = Thread.new do
-        begin
-          s.main
-        rescue SystemExit => e
-          raised_error = e
-        end
-      end
-
-      wait_for_fork
-      test_state(:worker_run).should == 4
-      t.join
-
-      test_state(:worker_stop).to_i.should == 3
-      test_state(:worker_finished).to_i.should == 3
-      raised_error.should_not be_nil
-      raised_error.status.should == 5 # 1st process's exit status
-    end
   end
 end
